/*
 * The contents of this file is the CONFIDENTAL and PROPRIETARY
 * property of Arosii Information Systems A/S. Any unauthorized use,
 * reproduction or transfer of this file is strictly prohibited.
 *
 * Copyright (C) 2012 Arosii Information Systems A/S.  All rights reserved.
 * This is an unpublished work, and is subject to limited
 * distribution and restricted disclosure only.
 */
package com.arosii.jmeter.protocol.sdm.assertion.gui;

import org.apache.jmeter.util.JMeterUtils;

import com.arosii.jmeter.protocol.nsp.assertion.gui.AbstractNSPAssertionGui;
import com.arosii.jmeter.resources.sdm.Messages;

/**
 * 
 * @author Jacob
 */
public abstract class AbstractSDMAssertionGui extends AbstractNSPAssertionGui {

	private static final long serialVersionUID = 1L;

	/**
	 * {@inheritDoc}
	 */
	@Override
	public String getStaticLabel() {
		String label = Messages.getResString(getLabelResource());
		if (label == null || label.startsWith(JMeterUtils.RES_KEY_PFX)) {
			label = super.getStaticLabel();
		}
		return label;
	}
}
