/*
 * The contents of this file is the CONFIDENTAL and PROPRIETARY
 * property of Arosii Information Systems A/S. Any unauthorized use,
 * reproduction or transfer of this file is strictly prohibited.
 *
 * Copyright (C) 2012 Arosii Information Systems A/S.  All rights reserved.
 * This is an unpublished work, and is subject to limited
 * distribution and restricted disclosure only.
 */
package com.arosii.jmeter.protocol.sts.assertion.gui;

import org.apache.jmeter.testelement.TestElement;

import com.arosii.jmeter.protocol.sts.assertion.OioSamlToSosiRequestAssertion;


/**
 *
 * @author Jacob
 */
public class OioSamlToSosiRequestAssertionGui extends AbstractSTSAssertionGui {

	private static final long serialVersionUID = 1L;

	/**
	 * {@inheritDoc}
	 */
	@Override
	public String getLabelResource() {
		return "sts_assert_oio_saml_to_sosi";
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public TestElement createTestElement() {
		OioSamlToSosiRequestAssertion assertion = new OioSamlToSosiRequestAssertion();
		modifyTestElement(assertion);
		return assertion;
	}
}
