package com.arosii.jmeter.protocol.ihe.extractor.gui;

import org.apache.jmeter.util.JMeterUtils;

import com.arosii.jmeter.protocol.nsp.processor.gui.AbstractNSPPostProcessorGui;
import com.arosii.jmeter.resources.ihe.Messages;

public abstract class AbstractIHEPostProcessorGui extends AbstractNSPPostProcessorGui {

	/**
	 * {@inheritDoc}
	 */
	@Override
	public String getStaticLabel() {
		String label = Messages.getResString(getLabelResource());
		if (label == null || label.startsWith(JMeterUtils.RES_KEY_PFX)) {
			label = super.getStaticLabel();
		}
		return label;
	}
}
