package com.arosii.jmeter.protocol.ihe.sampler;

import javax.xml.namespace.QName;

import org.openehealth.ipf.commons.ihe.ws.WsTransactionConfiguration;

public abstract class AbstractIHEDocumentRepositorySampler<T> extends AbstractIHESampler<T> {

	@Override
	protected final WsTransactionConfiguration getWsTransactionConfiguration(String wsdl, Class<T> clazz) {
		QName serviceName = new QName("urn:ihe:iti:xds-b:2007", "DocumentRepository_Service", "ihe");
		QName bindingName = new QName("urn:ihe:iti:xds-b:2007", "DocumentRepository_Binding_Soap12", "ihe");
		return new WsTransactionConfiguration(serviceName, clazz, bindingName, true, wsdl, true, false, false, false);
	}
}
