#!/bin/bash

# Source the profile script which should contain the M3 variable
if [ -f ~/.nsp_perf_profile ]; then
	. ~/.nsp_perf_profile
fi

TESTPLAN=$1
NSP_HOST=$2
NSP_PORT=$3

if [ "${TESTPLAN}" = "pullpoint" ]; then
	echo "Stopping NotificationBrokerBackgroundJob"
	touch STOP
	while [ -f STOP ]; do
		echo "Waiting for NotificationBrokerBackgroundJob to stop"
		sleep 1
	done
	echo "Stopped NotificationBrokerBackgroundJob"
else
	echo "No background job for testplan ${TESTPLAN}"
fi
